Page MenuHomePhabricator

Labels of form elements in the preferences are messed up
Closed, ResolvedPublic

Description

We have an often occurring situation for boolean settings, where the label is placed to the right of the checkbox, and a 'dummy' empty label is inserted before the textbox.

The dummy label is first in the dom, and thus used by accessibility tools



Version: unspecified
Severity: normal

Details

Reference
bz52697

Event Timeline

bzimport raised the priority of this task from to High.Nov 22 2014, 2:03 AM
bzimport set Reference to bz52697.
bzimport added a subscriber: Unknown Object (MLST).
TheDJ created this task.Aug 10 2013, 8:24 AM

[/me wonders why the bot didn't add a notification. Setting status manually.]

TheDJ: Any plans to rework the patch?

Change 78500 had a related patch set uploaded by TheDJ:
Preferences: Remove dummy labels for Checkboxes

https://gerrit.wikimedia.org/r/78500

Change 78500 abandoned by TheDJ:
Preferences: Remove dummy labels for Checkboxes

Reason:
Status == no clue

https://gerrit.wikimedia.org/r/78500

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 22 2016, 11:05 PM
tstarling added a subscriber: tstarling.

The checkboxes in the Notifications tab of Special:Preferences, from the Echo extension, appear to violate WCAG 2.0 SC 1.1.1 (Level A). I don't see any label for those checkboxes, not even an empty label. Each checkbox needs to have a human-readable name that describes its purpose. Presumably that means the "web" and "email" checkboxes on each row need to have different names. An aria-label attribute would be sufficient.

TheDJ updated the task description. (Show Details)Mar 14 2018, 1:28 PM
TheDJ removed a subscriber: wikibugs-l-list.

I added screenshots of this original problem to the description, as it's a bit hard to figure out perhaps what this ticket was about for others.

Volker_E closed this task as Resolved.May 15 2019, 5:01 PM
Volker_E claimed this task.
Volker_E added a subscriber: Volker_E.

With T117781: Convert Special:Preferences to OOUI resolved the checkbox labels are bound to the checkboxes via id and for. The labels above are still marked-up as labels, but shouldn't be an issue in modern browsers/AT combinations any more.